package com.icx.javaproxytunnel.model;

import com.fasterxml.jackson.annotation.*;

public class AudioCollectionRules {
    private long collectionType;
    private DtmfRules dtmfRules;
    private BargeConfiguration bargeConfiguration;
    private AudioTranscriptionConfig audioTranscriptionConfig;

    @JsonProperty("collectionType")
    public long getCollectionType() { return collectionType; }
    @JsonProperty("collectionType")
    public void setCollectionType(long value) { this.collectionType = value; }

    @JsonProperty("dtmfRules")
    public DtmfRules getDtmfRules() { return dtmfRules; }
    @JsonProperty("dtmfRules")
    public void setDtmfRules(DtmfRules value) { this.dtmfRules = value; }

    @JsonProperty("bargeConfiguration")
    public BargeConfiguration getBargeConfiguration() { return bargeConfiguration; }
    @JsonProperty("bargeConfiguration")
    public void setBargeConfiguration(BargeConfiguration value) { this.bargeConfiguration = value; }

    @JsonProperty("audioTranscriptionConfig")
    public AudioTranscriptionConfig getAudioTranscriptionConfig() { return audioTranscriptionConfig; }
    @JsonProperty("audioTranscriptionConfig")
    public void setAudioTranscriptionConfig(AudioTranscriptionConfig value) { this.audioTranscriptionConfig = value; }
}
